GNU bug report logs - #21140
25.0.50; Isearch "char-fold" by default

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Sebastien Vauban <sva-news@HIDDEN>; dated Mon, 27 Jul 2015 13:47:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 29 Jul 2015 16:44:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 12:44:07 2015
Received: from localhost ([127.0.0.1]:33851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZKUSc-0003Qm-J9
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2015 12:44:06 -0400
Received: from mtaout29.012.net.il ([80.179.55.185]:33118)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1ZKUSZ-0003Qb-Ef
 for 21140 <at> debbugs.gnu.org; Wed, 29 Jul 2015 12:44:04 -0400
Received: from conversion-daemon.mtaout29.012.net.il by mtaout29.012.net.il
 (HyperSendmail v2007.08) id <0NS900200D2LRN00@HIDDEN> for
 21140 <at> debbugs.gnu.org; Wed, 29 Jul 2015 19:43:40 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout29.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NS900ITSD4SKGB0@HIDDEN>; Wed, 29 Jul 2015 19:43:40 +0300 (IDT)
Date: Wed, 29 Jul 2015 19:43:55 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
In-reply-to: <87h9only85.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Juri Linkov <juri@HIDDEN>
Message-id: <831tfqykvo.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <86vbd5n27r.fsf@HIDDEN>
 <CAAdUY-L_37U5cy+fR1H-mu9MqGZAv1AtSRdZAPdVvi=e7OCqAg@HIDDEN>
 <873809z0w0.fsf@HIDDEN> <83si89xb68.fsf@HIDDEN>
 <87h9only85.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21140
Cc: sva-news@HIDDEN, bruce.connor.am@HIDDEN, 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Juri Linkov <juri@HIDDEN>
> Cc: bruce.connor.am@HIDDEN,  sva-news@HIDDEN,  21140 <at> debbugs.gnu.org
> Date: Wed, 29 Jul 2015 01:21:45 +0300
> 
> >> In case of case-folding the parameter names used in isearch messages are:
> >> “case-sensitive” and “case-insensitive”.
> >>
> >> By analogy, can we use: “char-sensitive” and “char-insensitive”?
> >
> > I doubt that will be clear to users, since no one else calls this by
> > that name.  "Folding" is the accepted terminology, though perhaps
> > "char-fold" is also slightly unclear.  How about just "Fold"?
> 
> “Fold” is too broad.  “Char-fold” is more concise and seems is
> the accepted terminology, e.g.
> https://www.elastic.co/guide/en/elasticsearch/guide/current/character-folding.html
> http://userguide.icu-project.org/transforms/casemappings

"Character folding" or simply "folding" is accepted terminology.  But
"char-fold" is not, it's a confusing shorthand.  That's why I
suggested "fold", which is accepted terminology and is short.

> Or does Unicode.org have a better name?  I can find only this draft
> http://www.unicode.org/reports/tr30/tr30-4.html

Unicode uses "folding", see
http://unicode.org/reports/tr10/#Collation_Folding.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 29 Jul 2015 09:02:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 05:02:13 2015
Received: from localhost ([127.0.0.1]:33356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZKNFc-0004uW-Hp
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2015 05:02:12 -0400
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:10124
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1ZKNFZ-0004uM-Jz
 for 21140 <at> debbugs.gnu.org; Wed, 29 Jul 2015 05:02:10 -0400
Received: from mundaneum (unknown [10.10.10.51])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 556D7500C5C;
 Wed, 29 Jul 2015 11:02:08 +0200 (CEST)
From: Sebastien Vauban <sva-news@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
Organization: Sebastien Vauban
References: <86vbd5n27r.fsf@HIDDEN>
 <CAAdUY-L_37U5cy+fR1H-mu9MqGZAv1AtSRdZAPdVvi=e7OCqAg@HIDDEN>
 <873809z0w0.fsf@HIDDEN> <83si89xb68.fsf@HIDDEN>
 <87h9only85.fsf@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Wed, 29 Jul 2015 11:01:57 +0200
In-Reply-To: <87h9only85.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 29 Jul 2015 01:21:45 +0300")
Message-ID: <86bnevjq0q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 21140
Cc: Eli Zaretskii <eliz@HIDDEN>, bruce.connor.am@HIDDEN,
 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Juri Linkov <juri@HIDDEN> writes:
>>> In case of case-folding the parameter names used in isearch messages ar=
e:
>>> =E2=80=9Ccase-sensitive=E2=80=9D and =E2=80=9Ccase-insensitive=E2=80=9D.
>>>
>>> By analogy, can we use: =E2=80=9Cchar-sensitive=E2=80=9D and =E2=80=9Cc=
har-insensitive=E2=80=9D?
>>
>> I doubt that will be clear to users, since no one else calls this by
>> that name.  "Folding" is the accepted terminology, though perhaps
>> "char-fold" is also slightly unclear.  How about just "Fold"?
>
> =E2=80=9CFold=E2=80=9D is too broad.  =E2=80=9CChar-fold=E2=80=9D is more=
 concise and seems is
> the accepted terminology, e.g.
> https://www.elastic.co/guide/en/elasticsearch/guide/current/character-fol=
ding.html
> http://userguide.icu-project.org/transforms/casemappings
> Or does Unicode.org have a better name?  I can find only this draft
> http://www.unicode.org/reports/tr30/tr30-4.html

Didn't know about the term (and the functionality) "char-folding". If
that's somehow "official" or "standard", let's keep it. BTW, is this
implemented in other editors?  How do they call that functionality?

No, the question is: where to put those "toggles"?  In the prompt, in
the modeline or nowhere?

Best regards,
  Seb

--=20
Sebastien Vauban




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 28 Jul 2015 22:24:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 18:24:38 2015
Received: from localhost ([127.0.0.1]:33049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZKDIb-0005Q3-Kl
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2015 18:24:37 -0400
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:46308
 helo=homiemail-a22.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <juri@HIDDEN>) id 1ZKDIZ-0005Pv-7e
 for 21140 <at> debbugs.gnu.org; Tue, 28 Jul 2015 18:24:36 -0400
Received: from homiemail-a22.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a22.g.dreamhost.com (Postfix) with ESMTP id 517141A8076;
 Tue, 28 Jul 2015 15:24:34 -0700 (PDT)
Received: from localhost.linkov.net (unknown [213.102.32.174])
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a22.g.dreamhost.com (Postfix) with ESMTPA id D2B521A8069;
 Tue, 28 Jul 2015 15:24:32 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
Organization: LINKOV.NET
References: <86vbd5n27r.fsf@HIDDEN>
 <CAAdUY-L_37U5cy+fR1H-mu9MqGZAv1AtSRdZAPdVvi=e7OCqAg@HIDDEN>
 <873809z0w0.fsf@HIDDEN> <83si89xb68.fsf@HIDDEN>
Date: Wed, 29 Jul 2015 01:21:45 +0300
In-Reply-To: <83si89xb68.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 28 Jul
 2015 05:34:23 +0300")
Message-ID: <87h9only85.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21140
Cc: sva-news@HIDDEN, bruce.connor.am@HIDDEN, 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

>> In case of case-folding the parameter names used in isearch messages a=
re:
>> =E2=80=9Ccase-sensitive=E2=80=9D and =E2=80=9Ccase-insensitive=E2=80=9D=
.
>>
>> By analogy, can we use: =E2=80=9Cchar-sensitive=E2=80=9D and =E2=80=9C=
char-insensitive=E2=80=9D?
>
> I doubt that will be clear to users, since no one else calls this by
> that name.  "Folding" is the accepted terminology, though perhaps
> "char-fold" is also slightly unclear.  How about just "Fold"?

=E2=80=9CFold=E2=80=9D is too broad.  =E2=80=9CChar-fold=E2=80=9D is more=
 concise and seems is
the accepted terminology, e.g.
https://www.elastic.co/guide/en/elasticsearch/guide/current/character-fol=
ding.html
http://userguide.icu-project.org/transforms/casemappings
Or does Unicode.org have a better name?  I can find only this draft
http://www.unicode.org/reports/tr30/tr30-4.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 28 Jul 2015 13:12:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 09:12:14 2015
Received: from localhost ([127.0.0.1]:60811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZK4g1-0004cW-Se
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2015 09:12:14 -0400
Received: from mail-la0-f44.google.com ([209.85.215.44]:34959)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZK4fz-0004cN-Ld
 for 21140 <at> debbugs.gnu.org; Tue, 28 Jul 2015 09:12:12 -0400
Received: by lahh5 with SMTP id h5so68166613lah.2
 for <21140 <at> debbugs.gnu.org>; Tue, 28 Jul 2015 06:12:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=YEvN2A5j9oePc4A59TgPqJ8mnY0FKeXoCL/Uc8Wg4YA=;
 b=SMVNb4WL1vb4L0VlVJsWPBwM5i89H7hiPG5qFDsXiLzhgQ+Ktv+6UFfieSeped/6fX
 CllFrr1uJ8iCTNqkbn2KFENUM9byagQscubcBVc7EHBp1ZlvsYMcUUPDxA6gG5fVT0kZ
 VMWqbgQ0QCQFnpQAkPKcToVycZiwMbUpkWvHlwWB18SUUNcI+uyf6l/bNBfh/z/bLQZ1
 UE+GJ4yXkuhfQlw7av+sMKmxhHmz212KvJ6wEshvbioWndEryJq/KEoscg7QRRP/8KKK
 Wm/y6PHCp1PuBlIZdWl5sdDozKafo8MAjqmefiNjotOJWVQo8O/4Fp8aDQR1edT1evxl
 fcaQ==
MIME-Version: 1.0
X-Received: by 10.152.19.67 with SMTP id c3mr32474471lae.4.1438089130848; Tue,
 28 Jul 2015 06:12:10 -0700 (PDT)
Received: by 10.25.134.139 with HTTP; Tue, 28 Jul 2015 06:12:10 -0700 (PDT)
In-Reply-To: <86y4i0fvvf.fsf@HIDDEN>
References: <86vbd5n27r.fsf@HIDDEN>
 <CAAdUY-+xohOUpsJQ7HTsxj_e5=7NPLMuXrYKwAVre2qZr7my-g@HIDDEN>
 <mailman.7520.1438075448.904.bug-gnu-emacs@HIDDEN>
 <863808hbu4.fsf@HIDDEN>
 <mailman.7522.1438076888.904.bug-gnu-emacs@HIDDEN>
 <86y4i0fvvf.fsf@HIDDEN>
Date: Tue, 28 Jul 2015 14:12:10 +0100
X-Google-Sender-Auth: 3Uokn8GYWmW2HrLkXXrFRsNO6PA
Message-ID: <CAAdUY-KDNy2DSCJKWhxiBSXpfoBMdQTQzMjqsQfhj2RNcwHUpw@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Sebastien Vauban <sva-news@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21140
Cc: 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: bruce.connor.am@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> So, to answer your question: [...]

OK, that looks correct. And can you reproduce your problem with emacs -Q?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 28 Jul 2015 09:57:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 05:57:03 2015
Received: from localhost ([127.0.0.1]:60692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZK1d9-0005FA-1Q
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2015 05:57:03 -0400
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:1283
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1ZK1d7-0005Es-Mp
 for 21140 <at> debbugs.gnu.org; Tue, 28 Jul 2015 05:57:02 -0400
Received: from mundaneum (unknown [10.10.10.51])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 8F6A85000A0;
 Tue, 28 Jul 2015 11:57:00 +0200 (CEST)
From: Sebastien Vauban <sva-news@HIDDEN>
To: Artur Malabarba <bruce.connor.am@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
Organization: Sebastien Vauban
References: <86vbd5n27r.fsf@HIDDEN>
 <CAAdUY-+xohOUpsJQ7HTsxj_e5=7NPLMuXrYKwAVre2qZr7my-g@HIDDEN>
 <mailman.7520.1438075448.904.bug-gnu-emacs@HIDDEN>
 <863808hbu4.fsf@HIDDEN>
 <mailman.7522.1438076888.904.bug-gnu-emacs@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Tue, 28 Jul 2015 11:56:52 +0200
In-Reply-To: <mailman.7522.1438076888.904.bug-gnu-emacs@HIDDEN> (Artur
 Malabarba's message of "Tue, 28 Jul 2015 10:47:04 +0100")
Message-ID: <86y4i0fvvf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 21140
Cc: 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Artur Malabarba <bruce.connor.am@HIDDEN> writes:
> 2015-07-28 10:26 GMT+01:00 Sebastien Vauban <sva-news@HIDDEN>:
>> Sebastien Vauban <sva-news@HIDDEN> writes:
>>> Artur Malabarba <bruce.connor.am@HIDDEN> writes:
>>>> Could you check that C-w really is bound to
>>>> `isearch-yank-word-or-char' for you (With no advices or anything)?
>>>
>>> How can I check that?  `C-h k' isn't available from with `C-s', right?
>>
>> I mean: is there a way to check for that easily (like `C-h k') --
>> without having to dissect my Emacs customization file?
>
> `C-h k' is available from `C-s' ;-)

Dunno anymore why I was thinking the opposite. Thanks for correcting me
(and, again, proof that Emacs is very superior!).

So, to answer your question:

  =E2=94=8C=E2=94=80=E2=94=80=E2=94=80=E2=94=80
  =E2=94=82 C-w runs the command isearch-yank-word-or-char (found in
  =E2=94=82 overriding-terminal-local-map), which is an interactive compile=
d Lisp function
  =E2=94=82 in =E2=80=98isearch.el=E2=80=99.
  =E2=94=82=20
  =E2=94=82 (isearch-yank-word-or-char)
  =E2=94=82=20
  =E2=94=82 Pull next character, subword or word from buffer into search st=
ring.
  =E2=94=82 Subword is used when =E2=80=98subword-mode=E2=80=99 is activate=
d.=20
  =E2=94=94=E2=94=80=E2=94=80=E2=94=80=E2=94=80

Best regards,
  Seb




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 28 Jul 2015 09:47:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 05:47:07 2015
Received: from localhost ([127.0.0.1]:60687 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZK1TX-000511-3F
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2015 05:47:07 -0400
Received: from mail-la0-f46.google.com ([209.85.215.46]:34108)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZK1TV-00050u-TT
 for 21140 <at> debbugs.gnu.org; Tue, 28 Jul 2015 05:47:06 -0400
Received: by lafd3 with SMTP id d3so54705252laf.1
 for <21140 <at> debbugs.gnu.org>; Tue, 28 Jul 2015 02:47:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=tEN4lRxzqJKtkK9Was2XM5K9nzvpa2x9IUxwTqS5SkU=;
 b=AZ8NWexlNaHB1m19uCRCyQDWf5PVw4L/3fOQ7mAQJ+vzGNnqfUNl8/txRk0zfGGGB/
 cV2eQPMt4RJKtF9vxkKBwRaTlmT74sEVBiRyc4efB2quk4f/hvMTzKwVFzAYm7ZsK2Eh
 qiKyEzyNMXy4fiVYFNAIL59BWUyFrpJ58yjoV5vC30hBKqwpRObU1OxXAYtEinIjNCSS
 rEtng7IZvfe4X9bvuyUJ9czF9RfgPDILojF6dcWrCaq7r3Dmu14wRUyoZ/HiYMXcxp4j
 S/fDTU9Gc56gO7CFciUNS8SsNiQ93/lY+QkiBqzVqpBLfckCuQUslBlxBFSM76C9gpUe
 0mwA==
MIME-Version: 1.0
X-Received: by 10.152.19.67 with SMTP id c3mr31478594lae.4.1438076825010; Tue,
 28 Jul 2015 02:47:05 -0700 (PDT)
Received: by 10.25.134.139 with HTTP; Tue, 28 Jul 2015 02:47:04 -0700 (PDT)
In-Reply-To: <863808hbu4.fsf@HIDDEN>
References: <86vbd5n27r.fsf@HIDDEN>
 <CAAdUY-+xohOUpsJQ7HTsxj_e5=7NPLMuXrYKwAVre2qZr7my-g@HIDDEN>
 <mailman.7520.1438075448.904.bug-gnu-emacs@HIDDEN>
 <863808hbu4.fsf@HIDDEN>
Date: Tue, 28 Jul 2015 10:47:04 +0100
X-Google-Sender-Auth: uOnAmAwuNSRf4KwuCuwJzmn5FRs
Message-ID: <CAAdUY-J6ZO5VMasD+ntKE5e=m=bMXbqUDXmVjYf8Pt5jU5S1Ng@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Sebastien Vauban <sva-news@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21140
Cc: 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: bruce.connor.am@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

2015-07-28 10:26 GMT+01:00 Sebastien Vauban <sva-news@HIDDEN>:
> Sebastien Vauban <sva-news@HIDDEN> writes:
>> Artur Malabarba <bruce.connor.am@HIDDEN> writes:
>>> Could you check that C-w really is bound to
>>> `isearch-yank-word-or-char' for you (With no advices or anything)?
>>
>> How can I check that?  `C-h k' isn't available from with `C-s', right?
>
> I mean: is there a way to check for that easily (like `C-h k') --
> without having to dissect my Emacs customization file?

`C-h k' is available from `C-s' ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 28 Jul 2015 09:26:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 05:26:55 2015
Received: from localhost ([127.0.0.1]:60681 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZK19y-0004Wv-UZ
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2015 05:26:55 -0400
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:39178
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1ZK19x-0004Wn-9N
 for 21140 <at> debbugs.gnu.org; Tue, 28 Jul 2015 05:26:53 -0400
Received: from mundaneum (unknown [10.10.10.51])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 805DF500E02;
 Tue, 28 Jul 2015 11:26:52 +0200 (CEST)
From: Sebastien Vauban <sva-news@HIDDEN>
To: Artur Malabarba <bruce.connor.am@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
Organization: Sebastien Vauban
References: <86vbd5n27r.fsf@HIDDEN>
 <CAAdUY-+xohOUpsJQ7HTsxj_e5=7NPLMuXrYKwAVre2qZr7my-g@HIDDEN>
 <mailman.7520.1438075448.904.bug-gnu-emacs@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Tue, 28 Jul 2015 11:26:43 +0200
In-Reply-To: <mailman.7520.1438075448.904.bug-gnu-emacs@HIDDEN> (Sebastien
 Vauban's message of "Tue, 28 Jul 2015 11:22:58 +0200")
Message-ID: <863808hbu4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 21140
Cc: 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Sebastien Vauban <sva-news@HIDDEN> writes:
> Artur Malabarba <bruce.connor.am@HIDDEN> writes:
>> Could you check that C-w really is bound to
>> `isearch-yank-word-or-char' for you (With no advices or anything)?
>
> How can I check that?  `C-h k' isn't available from with `C-s', right?

I mean: is there a way to check for that easily (like `C-h k') --
without having to dissect my Emacs customization file?

Best regards,
  Seb




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 28 Jul 2015 09:23:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 05:23:10 2015
Received: from localhost ([127.0.0.1]:60677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZK16M-0004Rp-An
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2015 05:23:10 -0400
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:26142
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1ZK16K-0004Rg-32
 for 21140 <at> debbugs.gnu.org; Tue, 28 Jul 2015 05:23:08 -0400
Received: from mundaneum (unknown [10.10.10.51])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 5E886500E02;
 Tue, 28 Jul 2015 11:23:06 +0200 (CEST)
From: Sebastien Vauban <sva-news@HIDDEN>
To: Artur Malabarba <bruce.connor.am@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
Organization: Sebastien Vauban
References: <86vbd5n27r.fsf@HIDDEN>
 <CAAdUY-+xohOUpsJQ7HTsxj_e5=7NPLMuXrYKwAVre2qZr7my-g@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Tue, 28 Jul 2015 11:22:58 +0200
In-Reply-To: <CAAdUY-+xohOUpsJQ7HTsxj_e5=7NPLMuXrYKwAVre2qZr7my-g@HIDDEN>
 (Artur Malabarba's message of "Tue, 28 Jul 2015 10:13:23 +0100")
Message-ID: <86d1zchc0d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 21140
Cc: 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Hi Artur,

Artur Malabarba <bruce.connor.am@HIDDEN> writes:
>> Try it with the following example:
>>
>> --8<---------------cut here---------------start------------->8---
>>   ;; some function
>>   (turn-on-orgstruct++)
>>
>>   ;; other function
>>   (anzu--turn-on)
>> --8<---------------cut here---------------end--------------->8---
>>
>> As you can see on http://www.screencast.com/t/wx7r9UYK:
>>
>> - Completing "turn" with `C-w' will go over the 2 last "+" signs as if
>>   they did not exist. In Emacs 24, each "+" char was added one by one.
>>
>> - Completing "anzu" with `C-w' will simplify the 2 "-" signs as being
>>   just 1, making the search find no string at the end!
>>
>> - Completing "zu" with `C-w' will add "zu" to the pattern, multiple
>>   times...
>
> I couldn't reproduce any of this (starting with emacs -Q).

Aarrgg...

> Could you check that C-w really is bound to
> `isearch-yank-word-or-char' for you (With no advices or anything)?

How can I check that?  `C-h k' isn't available from with `C-s', right?

> And then, could you try with emacs -Q?

Can't do it right away, but soon.

Best regards,
  Seb




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 28 Jul 2015 09:13:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 05:13:28 2015
Received: from localhost ([127.0.0.1]:60673 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZK0wx-0004DG-Kg
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2015 05:13:27 -0400
Received: from mail-la0-f47.google.com ([209.85.215.47]:35701)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZK0wu-0004D7-Rx
 for 21140 <at> debbugs.gnu.org; Tue, 28 Jul 2015 05:13:25 -0400
Received: by lahh5 with SMTP id h5so64544825lah.2
 for <21140 <at> debbugs.gnu.org>; Tue, 28 Jul 2015 02:13:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=/0WcPUg2fJhxFQCIdIc3c6si4tY5gRQRB9E3edSK/T4=;
 b=ZhPWLT90ZKtFPQjJrCdjT25iF2vG2yQ0/s8sANIBj+GQZ1+910J+FDDuRXiFPGRnWN
 fD66F52MVXt7olCXRlba0A77AbT2DDHZwE6+obvd4wvWCBde7J7z5NYIitrPPX9tl823
 JEJRMudNloDj6ArH7etJ9PuVflMSSCz9+Fxzr3OEGeK2fQf9vX7pfcEi151zRpMamhZ3
 lQtSjM+ViKz5qNiGe36clvqsKgplWnOtFeY2rFjtqyXET2kHfuEgzcLZ+KI0qiabjaKY
 loiBIxz3708m+UsWjxA+VvYz5lz9FYlVcwxLlaiuVuZE4pneY1jzvbCbA4T7SgpwFQPM
 AAdw==
MIME-Version: 1.0
X-Received: by 10.152.18.162 with SMTP id x2mr31667052lad.73.1438074803976;
 Tue, 28 Jul 2015 02:13:23 -0700 (PDT)
Received: by 10.25.134.139 with HTTP; Tue, 28 Jul 2015 02:13:23 -0700 (PDT)
In-Reply-To: <86vbd5n27r.fsf@HIDDEN>
References: <86vbd5n27r.fsf@HIDDEN>
Date: Tue, 28 Jul 2015 10:13:23 +0100
X-Google-Sender-Auth: R_691_TPUNHkzi5YGGe7RhfWLWI
Message-ID: <CAAdUY-+xohOUpsJQ7HTsxj_e5=7NPLMuXrYKwAVre2qZr7my-g@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Sebastien Vauban <sva-news@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21140
Cc: 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: bruce.connor.am@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> Try it with the following example:
>
> --8<---------------cut here---------------start------------->8---
>   ;; some function
>   (turn-on-orgstruct++)
>
>   ;; other function
>   (anzu--turn-on)
> --8<---------------cut here---------------end--------------->8---
>
> As you can see on http://www.screencast.com/t/wx7r9UYK:
>
> - Completing "turn" with `C-w' will go over the 2 last "+" signs as if
>   they did not exist. In Emacs 24, each "+" char was added one by one.
>
> - Completing "anzu" with `C-w' will simplify the 2 "-" signs as being
>   just 1, making the search find no string at the end!
>
> - Completing "zu" with `C-w' will add "zu" to the pattern, multiple
>   times...

Hi Sebastien, I couldn't reproduce any of this (starting with emacs -Q).
Could you check that C-w really is bound to
`isearch-yank-word-or-char' for you (With no advices or anything)? And
then, could you try with emacs -Q?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 28 Jul 2015 02:34:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 22:34:38 2015
Received: from localhost ([127.0.0.1]:60568 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZJuiz-00034v-TF
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2015 22:34:38 -0400
Received: from mtaout28.012.net.il ([80.179.55.184]:52256)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1ZJuix-00034k-DI
 for 21140 <at> debbugs.gnu.org; Mon, 27 Jul 2015 22:34:36 -0400
Received: from conversion-daemon.mtaout28.012.net.il by mtaout28.012.net.il
 (HyperSendmail v2007.08) id <0NS600A00EYB1E00@HIDDEN> for
 21140 <at> debbugs.gnu.org; Tue, 28 Jul 2015 05:34:38 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout28.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NS6001IOF5QYG80@HIDDEN>; Tue, 28 Jul 2015 05:34:38 +0300 (IDT)
Date: Tue, 28 Jul 2015 05:34:23 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
In-reply-to: <873809z0w0.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Juri Linkov <juri@HIDDEN>
Message-id: <83si89xb68.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <86vbd5n27r.fsf@HIDDEN>
 <CAAdUY-L_37U5cy+fR1H-mu9MqGZAv1AtSRdZAPdVvi=e7OCqAg@HIDDEN>
 <873809z0w0.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21140
Cc: sva-news@HIDDEN, bruce.connor.am@HIDDEN, 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Juri Linkov <juri@HIDDEN>
> Date: Tue, 28 Jul 2015 01:33:35 +0300
> Cc: Sebastien Vauban <sva-news@HIDDEN>, 21140 <at> debbugs.gnu.org
> 
> > There's another thread here about hiding that string from the prompt. I
> > agree it's a little confusing, and char folding can be used without
> > flashing it on the user. Somebody offered to do something about it, though
> > I forget who.
> 
> The idea was to not display the search parameters that have default values,
> i.e. if char folding is enabled by default then to not display “Char-fold”.
> But the problem is to find a name complementary to char-folding
> to display when the default char-folding is disabled by ‘M-s '’.
> 
> In case of case-folding the parameter names used in isearch messages are:
> “case-sensitive” and “case-insensitive”.
> 
> By analogy, can we use: “char-sensitive” and “char-insensitive”?

I doubt that will be clear to users, since no one else calls this by
that name.  "Folding" is the accepted terminology, though perhaps
"char-fold" is also slightly unclear.  How about just "Fold"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 28 Jul 2015 01:16:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 21:16:58 2015
Received: from localhost ([127.0.0.1]:60551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZJtVq-00019n-5j
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2015 21:16:58 -0400
Received: from dancol.org ([96.126.100.184]:60341)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dancol@HIDDEN>) id 1ZJtVo-00019f-AX
 for 21140 <at> debbugs.gnu.org; Mon, 27 Jul 2015 21:16:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Type:In-Reply-To:References:Subject:CC:To:MIME-Version:From:Date:Message-ID;
 bh=UqgtXlynZgKqbwJ4SOiX43v4OjVvA2sWZWPSgdSvgt4=; 
 b=JPFeuO3eZAFKHsCMZ46gKqH2vXGIfU4jh3Pc00Ofmq3g8Oeu3CGVEx8mARTpwVX7cV/7BY1XzeOspZ21Uj4RvO4M7Ne7HpVO7+YKnMr3Wt2DmzBEHjA2Voa89J7ylA7xSACrCQtG2X02zka/WxXPOnwsjjvOXAZuQh4IqOuP93X45voZVQ8wcKXqRtT2vSUid+361R4iOeQD849qzbsdiUp4nz6LbEosPkS06Vc9ly45spRhuPbh7Mn3VcDZpBf9p7wbU1dV7TAnOugfM4rIvyULF/2pIRgUqPHoQnYoTL0xZeycm2AiXv70QC5BiIV2dQ1El4WlxM2F/F7GKBkbNg==;
Received: from [2620:10d:c081:f80::c:c5a9]
 (helo=[IPv6:2620:10d:c083:10fb:2ab2:bdff:fe1c:db58])
 by dancol.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84) (envelope-from <dancol@HIDDEN>)
 id 1ZJtVm-0003Le-Kl; Mon, 27 Jul 2015 18:16:54 -0700
Message-ID: <55B6D7FF.5070806@HIDDEN>
Date: Mon, 27 Jul 2015 18:16:47 -0700
From: Daniel Colascione <dancol@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Thunderbird/31.8.0
MIME-Version: 1.0
To: bruce.connor.am@HIDDEN, Sebastien Vauban <sva-news@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
References: <86vbd5n27r.fsf@HIDDEN>	<mailman.7466.1438007109.904.bug-gnu-emacs@HIDDEN>	<866155mzyh.fsf@HIDDEN>
 <CAAdUY-LFshq=bxjV4Qb3gDkUPbqDoJ3N3B-f8cJARMBqra7KTQ@HIDDEN>
In-Reply-To: <CAAdUY-LFshq=bxjV4Qb3gDkUPbqDoJ3N3B-f8cJARMBqra7KTQ@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="r9R0MjCdNcCR0MdGGNP08x8SBudn2TuCN"
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 21140
Cc: 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--r9R0MjCdNcCR0MdGGNP08x8SBudn2TuCN
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 07/27/2015 07:50 AM, Artur Malabarba wrote:
>> > Char fold search is a text search, not a regexp search. It does use
>> > a regexp underneath, but that should be invisible to the user. You
>> > type some text and it matches that text or similar texts.
>>
>> "Char fold" search is a "fuzzy" search, then, similar to
>> https://github.com/auto-complete/fuzzy-el?
>=20
> Not quite. It just allows simple ascii characters to match their comple=
x
> unicode counterparts.
> For instance, if you search for "a" you will also match "=C3=A1" and "=C3=
=A3".
>=20
>> What comes the name "char fold" from?  It's not very intuitive to me
>> that it's some sort of fuzzy search; moreover, it looks like "case fol=
d"
>> search, which is again something different...
>=20
> It is exactly like case fold. ;-)
> Where case folding folds together "a" and "A", char folding folds
> together "a", "=C3=A1" and "=C3=A3".
>=20
> The name is also something under discussion. Suggestions of something
> more intuitive are very much welcome.
>=20

I've been using this bit of awfulness to solve the "char-fold" thing. It
hides "char-fold" by default and displays "raw" if we've turned off
char-folding. It still displays "raw regex isearch" though.

I like the idea of taking over the modeline to display isearch state.

(defun fix-isearch--describe-word-mode (word-mode &optional space-before)=

  (let ((description
         (cond ((eq word-mode 'character-fold-to-regexp) "")
               ((and (symbolp word-mode)
                    (get word-mode 'isearch-message-prefix))
                (get word-mode 'isearch-message-prefix))
               (word-mode "word ")
               (t "raw "))))
    (if space-before
        ;; Move space from the end to the beginning.
        (replace-regexp-in-string "\\(.*\\) \\'" " \\1" description)
      description)))

(when (fboundp 'isearch--describe-word-mode)
  (advice-add 'isearch--describe-word-mode
              :override
              'fix-isearch--describe-word-mode))


--r9R0MjCdNcCR0MdGGNP08x8SBudn2TuCN
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJVttgAAAoJEN4WImmbpWBldSwP/jMD2qdiiDUZzIOLI0Cb2fcf
mA8ta73mbNcP/T1HUjMhre2jol5QiCrK6pmL87jSE/1bBJ1DQj4xF6qPr6f1bmxm
v9LRwhpWlti/9OC+cUmWsgpzAppBV9R1INJaEZcRNzeK+N5MEjUs5T/GOgGZAoSD
cJbetRHROzyj6Yi19k7YniNsyrp65tcLtEC7OVRCxdsJpgGCvHrcWf4mKO3Akkzy
duxHgb5Ek5F0qM53JathWx6gkmT7s9EggYcKReKrJh/aeR7ztGL9M+oUWL/7VMkz
EdWeyEurnv18ylymzTiA76XvS8g+OXoyEHVeWNdP4JikPuRCE4bF+exuHaNE491Z
Fh2maXpxXoPUhaR7q3ORwV/Hvh1HNo7PwSgVZ+a88XhbZSqYFE9Ykk2Fd++lHYes
zVQDowTfKFvY6STZ18/jtIIaj3Pl+RHcapjoSVns+3y4ar1772g0Fp/XyMbm48eS
gt2g8mPbIW1KQR8oBZgecBlnPG3KFAG7ItXA42qh5rjJIcyfHVRj+Wy7ZQG3FevO
/Fjb/355O3pL4lSkTc0F+fqyzdV4hyf0WqGhUyjFxMiNTCFXZWJURRGDbUx2uYMf
DFKHYdfElAbw/1kyct9gyQ1W1pfGDYHgqCSgF7RN/ZSPiCytIHBOS69U2hsMrwfC
PQxHb+GFLNAaPQkPDVj7
=0yiX
-----END PGP SIGNATURE-----

--r9R0MjCdNcCR0MdGGNP08x8SBudn2TuCN--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 27 Jul 2015 22:35:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 18:35:29 2015
Received: from localhost ([127.0.0.1]:60523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZJqzZ-0005Zs-9b
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2015 18:35:29 -0400
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:53031
 helo=homiemail-a11.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <juri@HIDDEN>) id 1ZJqzW-0005Zh-Cz
 for 21140 <at> debbugs.gnu.org; Mon, 27 Jul 2015 18:35:27 -0400
Received: from homiemail-a11.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a11.g.dreamhost.com (Postfix) with ESMTP id 778B26E06C;
 Mon, 27 Jul 2015 15:35:25 -0700 (PDT)
Received: from localhost.linkov.net (unknown [213.102.32.174])
 (Authenticated sender: jurta@HIDDEN)
 by homiemail-a11.g.dreamhost.com (Postfix) with ESMTPA id 4804E6E06A;
 Mon, 27 Jul 2015 15:35:24 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: Artur Malabarba <bruce.connor.am@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
Organization: LINKOV.NET
References: <86vbd5n27r.fsf@HIDDEN>
 <CAAdUY-L_37U5cy+fR1H-mu9MqGZAv1AtSRdZAPdVvi=e7OCqAg@HIDDEN>
Date: Tue, 28 Jul 2015 01:33:35 +0300
In-Reply-To: <CAAdUY-L_37U5cy+fR1H-mu9MqGZAv1AtSRdZAPdVvi=e7OCqAg@HIDDEN>
 (Artur Malabarba's message of "Mon, 27 Jul 2015 15:24:52 +0100")
Message-ID: <873809z0w0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21140
Cc: Sebastien Vauban <sva-news@HIDDEN>, 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> There's another thread here about hiding that string from the prompt. I
> agree it's a little confusing, and char folding can be used without
> flashing it on the user. Somebody offered to do something about it, tho=
ugh
> I forget who.

The idea was to not display the search parameters that have default value=
s,
i.e. if char folding is enabled by default then to not display =E2=80=9CC=
har-fold=E2=80=9D.
But the problem is to find a name complementary to char-folding
to display when the default char-folding is disabled by =E2=80=98M-s '=E2=
=80=99.

In case of case-folding the parameter names used in isearch messages are:
=E2=80=9Ccase-sensitive=E2=80=9D and =E2=80=9Ccase-insensitive=E2=80=9D.

By analogy, can we use: =E2=80=9Cchar-sensitive=E2=80=9D and =E2=80=9Ccha=
r-insensitive=E2=80=9D?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 27 Jul 2015 14:50:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 10:50:34 2015
Received: from localhost ([127.0.0.1]:60337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZJjjd-0006d2-V3
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2015 10:50:34 -0400
Received: from mail-la0-f46.google.com ([209.85.215.46]:36516)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZJjjc-0006ct-6U
 for 21140 <at> debbugs.gnu.org; Mon, 27 Jul 2015 10:50:32 -0400
Received: by lagw2 with SMTP id w2so50569243lag.3
 for <21140 <at> debbugs.gnu.org>; Mon, 27 Jul 2015 07:50:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=UIBXnuV+URExQqt8C75N72dA6VM4V2U5QgYU8uI7BnM=;
 b=f0o9xVMNDud5dmKWlabdv6sg9F2EC+JS11D44Wk0Eun+mRnZngCq2WyWBv1zQSv7tX
 7BgHNPpa+fvxaNshfPWOhewZCAXxe+bo4wNf+eF++G2SG33vWbySjPMlT2Qb/B/laB1N
 qDkjDxvsknDgwf4CdMwB9pUwJLHyqY42bvnUtB1C0vqDC1ubj4ErQPhs/KkLYCZPCgvR
 rtcPTDR8IZFHqjdVVGRmzypsn5VknJXU36gAr8IsPjrJOozURHerfzFQ4SMumgKUa6c/
 yKsN5FIMRWHnd0O/+eEoTrkuZj9hK7E7KVV2KsGyO9ZYHgJlTrUj1mR2LwxZD/F7xYhS
 POTA==
MIME-Version: 1.0
X-Received: by 10.112.139.131 with SMTP id qy3mr27297207lbb.4.1438008631197;
 Mon, 27 Jul 2015 07:50:31 -0700 (PDT)
Received: by 10.25.134.139 with HTTP; Mon, 27 Jul 2015 07:50:31 -0700 (PDT)
Received: by 10.25.134.139 with HTTP; Mon, 27 Jul 2015 07:50:31 -0700 (PDT)
In-Reply-To: <866155mzyh.fsf@HIDDEN>
References: <86vbd5n27r.fsf@HIDDEN>
 <mailman.7466.1438007109.904.bug-gnu-emacs@HIDDEN>
 <866155mzyh.fsf@HIDDEN>
Date: Mon, 27 Jul 2015 15:50:31 +0100
X-Google-Sender-Auth: Kirxjce_24A9sV8I6CbHLxgIEDU
Message-ID: <CAAdUY-LFshq=bxjV4Qb3gDkUPbqDoJ3N3B-f8cJARMBqra7KTQ@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Sebastien Vauban <sva-news@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c33ffaa58ab2051bdc798f
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21140
Cc: 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: bruce.connor.am@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a11c33ffaa58ab2051bdc798f
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

> > Char fold search is a text search, not a regexp search. It does use
> > a regexp underneath, but that should be invisible to the user. You
> > type some text and it matches that text or similar texts.
>
> "Char fold" search is a "fuzzy" search, then, similar to
> https://github.com/auto-complete/fuzzy-el?

Not quite. It just allows simple ascii characters to match their complex
unicode counterparts.
For instance, if you search for "a" you will also match "=C3=A1" and "=C3=
=A3".

> What comes the name "char fold" from?  It's not very intuitive to me
> that it's some sort of fuzzy search; moreover, it looks like "case fold"
> search, which is again something different...

It is exactly like case fold. ;-)
Where case folding folds together "a" and "A", char folding folds together
"a", "=C3=A1" and "=C3=A3".

The name is also something under discussion. Suggestions of something more
intuitive are very much welcome.

--001a11c33ffaa58ab2051bdc798f
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr">&gt; &gt; Char fold search is a text search, not a regexp se=
arch. It does use<br>
&gt; &gt; a regexp underneath, but that should be invisible to the user. Yo=
u<br>
&gt; &gt; type some text and it matches that text or similar texts.<br>
&gt;<br>
&gt; &quot;Char fold&quot; search is a &quot;fuzzy&quot; search, then, simi=
lar to<br>
&gt; <a href=3D"https://github.com/auto-complete/fuzzy-el">https://github.c=
om/auto-complete/fuzzy-el</a>?</p>
<p dir=3D"ltr">Not quite. It just allows simple ascii characters to match t=
heir complex unicode counterparts.<br>
For instance, if you search for &quot;a&quot; you will also match &quot;=C3=
=A1&quot; and &quot;=C3=A3&quot;. </p>
<p dir=3D"ltr">&gt; What comes the name &quot;char fold&quot; from?=C2=A0 I=
t&#39;s not very intuitive to me<br>
&gt; that it&#39;s some sort of fuzzy search; moreover, it looks like &quot=
;case fold&quot;<br>
&gt; search, which is again something different...</p>
<p dir=3D"ltr">It is exactly like case fold. ;-)<br>
Where case folding folds together &quot;a&quot; and &quot;A&quot;, char fol=
ding folds together &quot;a&quot;, &quot;=C3=A1&quot; and &quot;=C3=A3&quot=
;. </p>
<p dir=3D"ltr">The name is also something under discussion. Suggestions of =
something more intuitive are very much welcome. <br>
</p>

--001a11c33ffaa58ab2051bdc798f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 27 Jul 2015 14:34:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 10:34:41 2015
Received: from localhost ([127.0.0.1]:60329 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZJjUG-0006Ga-MM
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2015 10:34:40 -0400
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:48746
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1ZJjUE-0006GP-Tz
 for 21140 <at> debbugs.gnu.org; Mon, 27 Jul 2015 10:34:39 -0400
Received: from mundaneum (unknown [10.10.10.51])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 2DA24500074;
 Mon, 27 Jul 2015 16:34:37 +0200 (CEST)
From: Sebastien Vauban <sva-news@HIDDEN>
To: Artur Malabarba <bruce.connor.am@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
Organization: Sebastien Vauban
References: <86vbd5n27r.fsf@HIDDEN>
 <mailman.7466.1438007109.904.bug-gnu-emacs@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Mon, 27 Jul 2015 16:34:30 +0200
Message-ID: <866155mzyh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 21140
Cc: 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Artur Malabarba <bruce.connor.am@HIDDEN> writes:
>> First, the default behavior seems changed, and I'm not really aware
>> (yet) of what exactly "char folding" is.  I did not found any
>> definition for this, even if I have some ideas.
>
> There's another thread here about hiding that string from the
> prompt. I agree it's a little confusing, and char folding can be used
> without flashing it on the user. Somebody offered to do something
> about it, though I forget who.

I wasn't specifically asking to remove it from the prompt. If "char-fold
isearch" is a different beast from the "default Emacs 24 isearch", then
it should be visible somehow.

And I've no current opinion on whether or not that should be displayed
in the prompt (or somewhere else).

>> Second, I don't think the new default is right.  I prefer to search
>> for text, not for regexps by default.  Otherwise, we could also
>> invert `C-s' and `C-M-s', right?
>
> Char fold search is a text search, not a regexp search. It does use
> a regexp underneath, but that should be invisible to the user. You
> type some text and it matches that text or similar texts.

"Char fold" search is a "fuzzy" search, then, similar to
https://github.com/auto-complete/fuzzy-el?

What comes the name "char fold" from?  It's not very intuitive to me
that it's some sort of fuzzy search; moreover, it looks like "case fold"
search, which is again something different...

>> Finally, it *seems* buggy to me when using `C-w' to complete the
>> search pattern (or shouldn't we use that anymore?).
>
> I can't see your link on my phone, but if it's like you describe then
> it's certainly a bug.  I'll try out your examples when I get home.

Thanks!

Best regards,
  Seb




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at 21140 <at> debbugs.gnu.org:


Received: (at 21140) by debbugs.gnu.org; 27 Jul 2015 14:24:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 10:24:56 2015
Received: from localhost ([127.0.0.1]:60303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZJjKp-000616-QG
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2015 10:24:56 -0400
Received: from mail-la0-f53.google.com ([209.85.215.53]:35958)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZJjKn-00060w-L3
 for 21140 <at> debbugs.gnu.org; Mon, 27 Jul 2015 10:24:54 -0400
Received: by lagw2 with SMTP id w2so50065547lag.3
 for <21140 <at> debbugs.gnu.org>; Mon, 27 Jul 2015 07:24:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=ykuGsUgILiIb8PSclEqs820M8R6WrpEKEm5gY3gXkyg=;
 b=Chmn3IZ9ZchHKffA4PasrseOLCMkIW/ra/H/NIDObgKuWhWDM5FeeH1XS4gLlRmNBE
 mJBem1T87iLW1WGI6+Aub8cELHGy3idIG2nWWtFX8SdXoZh7KR13bWnxSCAfUwZX4CCC
 bZKwdfXcaVKO1zr5ItCBxbqWql4Z61XITMcwxU7LUHB00e5IqdqQoyQg+yHQEn5dxl6A
 Ei9rSA6qh6EA75iTGr5Db/Petwr+e0titH+AIBd9HFDXtugPL/LeadBrShvjA5y5Q1xh
 E4LurIWweAhOxRzK9zvA2AHIwG3rV3tQcHiGOJ/T0CgkFz6fYQazPsySbPP90k3icVM3
 XdIw==
MIME-Version: 1.0
X-Received: by 10.112.145.169 with SMTP id sv9mr13912149lbb.73.1438007092625; 
 Mon, 27 Jul 2015 07:24:52 -0700 (PDT)
Received: by 10.25.134.139 with HTTP; Mon, 27 Jul 2015 07:24:52 -0700 (PDT)
Received: by 10.25.134.139 with HTTP; Mon, 27 Jul 2015 07:24:52 -0700 (PDT)
In-Reply-To: <86vbd5n27r.fsf@HIDDEN>
References: <86vbd5n27r.fsf@HIDDEN>
Date: Mon, 27 Jul 2015 15:24:52 +0100
X-Google-Sender-Auth: 9lAuraKVSHEmYgANJOf49-L1iCY
Message-ID: <CAAdUY-L_37U5cy+fR1H-mu9MqGZAv1AtSRdZAPdVvi=e7OCqAg@HIDDEN>
Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Sebastien Vauban <sva-news@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7b3a8d0ef0c851051bdc1de4
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21140
Cc: 21140 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: bruce.connor.am@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--047d7b3a8d0ef0c851051bdc1de4
Content-Type: text/plain; charset=UTF-8

> First, the default behavior seems changed, and I'm not really aware
> (yet) of what exactly "char folding" is.  I did not found any definition
> for this, even if I have some ideas.

There's another thread here about hiding that string from the prompt. I
agree it's a little confusing, and char folding can be used without
flashing it on the user. Somebody offered to do something about it, though
I forget who.

> Second, I don't think the new default is right.  I prefer to search for
> text, not for regexps by default.  Otherwise, we could also invert `C-s'
> and `C-M-s', right?

Char fold search is a text search, not a regexp search. It does use a
regexp underneath, but that should be invisible to the user. You type some
text and it matches that text or similar texts.

> Finally, it *seems* buggy to me when using `C-w' to complete the search
> pattern (or shouldn't we use that anymore?).

I can't see your link on my phone, but if it's like you describe then it's
certainly a bug.
I'll try out your examples when I get home.

--047d7b3a8d0ef0c851051bdc1de4
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr">&gt; First, the default behavior seems changed, and I&#39;m =
not really aware<br>
&gt; (yet) of what exactly &quot;char folding&quot; is.=C2=A0 I did not fou=
nd any definition<br>
&gt; for this, even if I have some ideas.</p>
<p dir=3D"ltr">There&#39;s another thread here about hiding that string fro=
m the prompt. I agree it&#39;s a little confusing, and char folding can be =
used without flashing it on the user. Somebody offered to do something abou=
t it, though I forget who. </p>
<p dir=3D"ltr">&gt; Second, I don&#39;t think the new default is right.=C2=
=A0 I prefer to search for<br>
&gt; text, not for regexps by default.=C2=A0 Otherwise, we could also inver=
t `C-s&#39;<br>
&gt; and `C-M-s&#39;, right?</p>
<p dir=3D"ltr">Char fold search is a text search, not a regexp search. It d=
oes use a regexp underneath, but that should be invisible to the user. You =
type some text and it matches that text or similar texts. </p>
<p dir=3D"ltr">&gt; Finally, it *seems* buggy to me when using `C-w&#39; to=
 complete the search<br>
&gt; pattern (or shouldn&#39;t we use that anymore?).</p>
<p dir=3D"ltr">I can&#39;t see your link on my phone, but if it&#39;s like =
you describe then it&#39;s certainly a bug. <br>
I&#39;ll try out your examples when I get home. </p>

--047d7b3a8d0ef0c851051bdc1de4--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jul 2015 13:46:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 09:46:12 2015
Received: from localhost ([127.0.0.1]:59760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZJijM-0004zT-9J
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2015 09:46:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48401)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1ZJijJ-0004zJ-LS
 for submit <at> debbugs.gnu.org; Mon, 27 Jul 2015 09:46:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1ZJijE-0002pW-LX
 for submit <at> debbugs.gnu.org; Mon, 27 Jul 2015 09:46:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53725)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1ZJijE-0002pR-JM
 for submit <at> debbugs.gnu.org; Mon, 27 Jul 2015 09:46:04 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33651)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1ZJijD-0000W2-Ob
 for bug-gnu-emacs@HIDDEN; Mon, 27 Jul 2015 09:46:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1ZJij3-0002np-Vo
 for bug-gnu-emacs@HIDDEN; Mon, 27 Jul 2015 09:46:03 -0400
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:10191
 helo=mail.missioncriticalit.com)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sva-news@HIDDEN>) id 1ZJij3-0002nT-Hj
 for bug-gnu-emacs@HIDDEN; Mon, 27 Jul 2015 09:45:53 -0400
Received: from mundaneum (unknown [10.10.10.51])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id 98161500074
 for <bug-gnu-emacs@HIDDEN>; Mon, 27 Jul 2015 15:45:51 +0200 (CEST)
From: Sebastien Vauban <sva-news@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50; Isearch "char-fold" by default
Organization: Sebastien Vauban
X-Url: Under construction...
X-Archive: encrypt
Date: Mon, 27 Jul 2015 15:45:44 +0200
Message-ID: <86vbd5n27r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)

Using Isearch under Emacs 25.0 really puzzles me.

First, the default behavior seems changed, and I'm not really aware
(yet) of what exactly "char folding" is.  I did not found any definition
for this, even if I have some ideas.

Second, I don't think the new default is right.  I prefer to search for
text, not for regexps by default.  Otherwise, we could also invert `C-s'
and `C-M-s', right?

Finally, it *seems* buggy to me when using `C-w' to complete the search
pattern (or shouldn't we use that anymore?).

Try it with the following example:

--8<---------------cut here---------------start------------->8---
  ;; some function
  (turn-on-orgstruct++)

  ;; other function
  (anzu--turn-on)
--8<---------------cut here---------------end--------------->8---

As you can see on http://www.screencast.com/t/wx7r9UYK:

- Completing "turn" with `C-w' will go over the 2 last "+" signs as if
  they did not exist. In Emacs 24, each "+" char was added one by one.

- Completing "anzu" with `C-w' will simplify the 2 "-" signs as being
  just 1, making the search find no string at the end!

- Completing "zu" with `C-w' will add "zu" to the pattern, multiple
  times...

Isearch becomes quite complex to use IMHO.

PS- BTW, Anzu seems completely lost in Org files, when now run from
    Emacs 25.

Best regards,
  Seb

-- 
Sebastien Vauban




Acknowledgement sent to Sebastien Vauban <sva-news@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21140; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 29 Jul 2015 17:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.